//   - 
#include "DIALOGS\russian\Rumours\Common_rumours.c"
void ProcessDialogEvent()
{
	ref NPChar, sld;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);
	
	ProcessCommonDialogRumors(NPChar, Link, NextDiag);
	
	switch(Dialog.CurrentNode)
	{
		case "First time":
			if (CheckAttribute(pchar, "GenQuest.CitizenConflict") && sti(pchar.GenQuest.CitizenConflict) > 3)
			{
				dialog.text = "I don't want to talk with you. You attack peaceful civilians with no reasons and provoke them. Get lost!";
				link.l1 = "Hm...";
				link.l1.go = "exit";
				break;
			}
			if (npchar.quest.meeting == "0")
			{
				dialog.text = "Want something, young man?";
				link.l1 = TimeGreeting()+". Let me introduce myself - "+GetFullName(pchar)+". I am a newcomer.";
				link.l1.go = "meeting";
				npchar.quest.meeting = "1";
			}
			else
			{
				dialog.text = "h, "+GetFullName(pchar)+"! "+TimeGreeting()+"! Want something?";
				link.l1 = LinkRandPhrase("Got anything interesting to say?", "Has something new happened on the island?", "Will you tell me the last gossips?");
				link.l1.go = "rumours_LSC";
				link.l2 = "I want to ask you a few questions about the island.";
				link.l2.go = "int_quests"; // 
				link.l5 = "Just wanted to know how are you doing. See you!";
				link.l5.go = "exit";
			}
			NextDiag.TempNode = "First time";
		break;
		
		case "meeting": //  
			dialog.text = "A-ah, so are you getting to know our Island and it's inhabitants, am I right?";
			link.l1 = "Exactly, misses?..";
			link.l1.go = "meeting_1";
		break;
		
		case "meeting_1":
			dialog.text = "Halard. Cecille Halard.";
			link.l1 = "Nice to meet you, missus Halard! It is my pleasure.";
			link.l1.go = "meeting_2";
		break;
		
		case "meeting_2":
			dialog.text = "So it is mine... And how did you get here, young man? I don't remember any recent shipwreck...";
			link.l1 = "I was driven here from the Main on a barque... but it has sunk right near the shores of Island. That is how I was left without ship.";
			link.l1.go = "meeting_3";
		break;
		
		case "meeting_3":
			dialog.text = "A barque? I find it hard to believe In this case, you must feel lucky for sailing a voyage to the Island on such an eggshell and avoiding a storm. Storms are rare events inside the island, but outside they are a threat, a very sudden threat\nSo consider yourself lucky and get used to the local way of living! I don't want to make you upset, but getting here is easy, but leaving the Island is almost impossible. Don't think that I am grumbling, no one has managed to leave the Island alive for the last ten years.";
			link.l1 = "And still I will try to be a bit more optimistic. Glad to meet you and see you around!";
			link.l1.go = "exit";
			NextDiag.TempNode = "First time";
		break;
		
//---------------------------------------     ---------------------------------------------
		case "int_quests":
			dialog.text = "Yes, young man?";
			if (!CheckAttribute(npchar, "quest.answer_1"))
			{
				link.l1 = "And how did you get here, missus?";
				link.l1.go = "ansewer_1";
			}
			if (!CheckAttribute(npchar, "quest.answer_2"))
			{
				link.l2 = "Have you been living here for a long time, I take it?";
				link.l2.go = "ansewer_2";
			}
			if (!CheckAttribute(npchar, "quest.answer_3"))
			{
				link.l3 = "What can you tell me about locals?";
				link.l3.go = "ansewer_3";
			}
			if (!CheckAttribute(npchar, "quest.answer_4"))
			{
				link.l4 = "Can you tell me about interesting people who live here?";
				link.l4.go = "ansewer_4";
			}
			link.l10 = "No questions. Pardon...";
			link.l10.go = "exit";
		break;
		
		case "ansewer_1":
			dialog.text = "It was that long ago so I don't remember really how did it happen. Shipwreck and that's it...";
			link.l1 = "I see...";
			link.l1.go = "int_quests";
			npchar.quest.answer_1 = "true";
		break;
		
		case "ansewer_2":
			dialog.text = "Sometimes I think that I was born here... But it is not true of course. I have been living here for all second half of my life. And it was long. And I will die here because I am not going to leave this place.";
			link.l1 = "I see...";
			link.l1.go = "int_quests";
			npchar.quest.answer_2 = "true";
		break;
		
		case "ansewer_3":
			dialog.text = "And there is not much I can say, young man... there are all different. We have got everybody here - white, black, Indians, ex slaves and nobles, state convicts and soldiers. And there were more of them before. Everybody got their own story and their own habits. Someone don't care but someone else is still eager to return back. That is how we live...";
			link.l1 = "Interesting...";
			link.l1.go = "int_quests";
			npchar.quest.answer_3 = "true";
		break;
		
		case "ansewer_4":
			dialog.text = "The most interesting people here are: the Narwhal mechanic-inventor, Herr Schmidt - Narwhal gunsmith, Sancho Carpentero - the native bartender. And now we also have the admiral with his second in command.";
			link.l1 = "I will consider that...";
			link.l1.go = "int_quests";
			npchar.quest.answer_4 = "true";
		break;
// <--    
		
//-----------------------------------------   -----------------------------------------------
		//   
		case "Man_FackYou":
			dialog.text = LinkRandPhrase("What are you doing there, ah? Thief!", "Just look at that! As soon as I was lost in contemplation, you decided to check my chest!", "Decided to check my chests? You won't get away with it!");
			link.l1 = "Damn it!";
			link.l1.go = "fight";
		break;
		
		case "Woman_FackYou":
			dialog.text = "What?! Decided to check my chests? You won't get away with it!";
			link.l1 = "Foolish girl!...";
			link.l1.go = "exit_setOwner";
			LAi_group_Attack(NPChar, Pchar);
		break;
		
		case "fight":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
			LAi_SetOwnerTypeNoGroup(npchar);
			LAi_group_Attack(NPChar, Pchar);
			AddDialogExitQuest("MainHeroFightModeOn");
		break;
		
		case "exit_setOwner":
			LAi_SetOwnerTypeNoGroup(npchar);
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
		
		//   
		case "LSCNotBlade":
			dialog.text = LinkRandPhrase("Listen, you'd better take your weapon away. It makes me nervous.", "You know, running with blade is not tolerated here. Take it away.", "Listen, don't play a kid running with a rapier around. Take it away it doesn't suit you...");
			link.l1 = LinkRandPhrase("Fine.", "Whatever then.", "As you say...");
			link.l1.go = "exit";
			NextDiag.TempNode = "First Time";
		break;	
		
		case "CitizenNotBlade":
			if (loadedLocation.type == "town")
			{
				dialog.text = NPCharSexPhrase(NPChar, "Listen, I am the citizen of the city and I'd ask you to hold down your blade.", "Listen, I am the citizen of the city and I'd ask you to hold down your blade.");
				link.l1 = LinkRandPhrase("Fine.", "Whatever then.", "As you say...");
			}
			else
			{
				dialog.text = NPCharSexPhrase(NPChar, "Be careful, pal, while running with a weapon. I can get nervous...", "I don't like when men walking in front of me with their weapon ready. It scares me...");
				link.l1 = RandPhraseSimple("Got it.", "I am taking it away.");
			}
			link.l1.go = "exit";
			NextDiag.TempNode = "First Time";
		break;
// <--  
		
		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}